Flume
  1. Flume
  2. FLUME-1211

hadoop jar included in flume dist tarball

    Details

    • Type: Bug Bug
    • Status: Resolved
    • Priority: Major Major
    • Resolution: Duplicate
    • Affects Version/s: v1.1.0
    • Fix Version/s: None
    • Component/s: Build
    • Labels:
      None

      Description

      A recent change has included the hadoop-core-1.0.1 jar into the default flume build. This breaks cross-version compatibility. This dep should be marked optional.

        Issue Links

          Activity

          Hide
          Hari Shreedharan added a comment -

          Mike - Take a look at FLUME-1208. I am making some changes related to HBase Sink + hadoop-23(due to hbase not having compiled artifacts against hadoop-23). I am fixing this there.

          Thanks
          Hari

          Show
          Hari Shreedharan added a comment - Mike - Take a look at FLUME-1208 . I am making some changes related to HBase Sink + hadoop-23(due to hbase not having compiled artifacts against hadoop-23). I am fixing this there. Thanks Hari

            People

            • Assignee:
              Unassigned
              Reporter:
              Mike Percy
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Development